.TH "pyspottedunipd.ngrams.ngram.NGram" 3 "Tue Apr 18 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.ngrams.ngram.NGram \- 
.SH SYNOPSIS
.br
.PP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fBmake_cups\fP (self, order, string)"
.br
.ti -1c
.RI "def \fBprint_cups\fP (self, cups)"
.br
.ti -1c
.RI "def \fBtopword\fP (self, n, cup)"
.br
.ti -1c
.RI "def \fBgenerate_from_file\fP (self, order, filename, number_of_words)"
.br
.ti -1c
.RI "def \fBgenerate_from_string\fP (self, order, string, number_of_words)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Definition at line 18 of file ngram\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.ngram\&.NGram\&.generate_from_file ( self,  order,  filename,  number_of_words)"

.PP
.nf
Generate words based on a text file 
.fi
.PP
 
.PP
Definition at line 56 of file ngram\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.ngram\&.NGram\&.generate_from_string ( self,  order,  string,  number_of_words)"

.PP
.nf
Generate words based on a string 
.fi
.PP
 
.PP
Definition at line 86 of file ngram\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.ngram\&.NGram\&.make_cups ( self,  order,  string)"

.PP
.nf
Get a string of input text and make all the unique cups with the different words in it 
.fi
.PP
 
.PP
Definition at line 19 of file ngram\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.ngram\&.NGram\&.print_cups ( self,  cups)"

.PP
.nf
You can use this to see what cups there are and the words inside of it 
.fi
.PP
 
.PP
Definition at line 40 of file ngram\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.ngram\&.NGram\&.topword ( self,  n,  cup)"

.PP
.nf
A function that picks the top words in a cup. I realized I could've just randomly picked from a list of words 
    but instead a made a Counter() object of words to keep track of them

.fi
.PP
 
.PP
Definition at line 45 of file ngram\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
